//+=============================================================================
// Display IR code
//
void  ircode (decode_results *results)
{
  if (useSerial) {
    // Panasonic has an Address
    if (results->decode_type == PANASONIC) {
      Serial.print(results->address, HEX);
      Serial.print(":");
    }

    // Print Code
    Serial.print(results->value, HEX);
  }
}

//+=============================================================================
// Display encoding type
//
void  encoding (decode_results *results)
{
  if (useSerial) {
    switch (results->decode_type) {
      default:
      case UNKNOWN:      Serial.print("UNKNOWN");       break ;
      case NEC:          Serial.print("NEC");           break ;
      case SONY:         Serial.print("SONY");          break ;
      case RC5:          Serial.print("RC5");           break ;
      case RC6:          Serial.print("RC6");           break ;
      case DISH:         Serial.print("DISH");          break ;
      case SHARP:        Serial.print("SHARP");         break ;
      case JVC:          Serial.print("JVC");           break ;
      case SANYO:        Serial.print("SANYO");         break ;
      case MITSUBISHI:   Serial.print("MITSUBISHI");    break ;
      case SAMSUNG:      Serial.print("SAMSUNG");       break ;
      case LG:           Serial.print("LG");            break ;
      case WHYNTER:      Serial.print("WHYNTER");       break ;
      case AIWA_RC_T501: Serial.print("AIWA_RC_T501");  break ;
      case PANASONIC:    Serial.print("PANASONIC");     break ;
      case DENON:        Serial.print("DENON");         break ;
    }
  }
}
